Summary: A world famous IRC server
Name: unrealircd
Version: 3.2.10.1
Release: 1.wolfy
Group: System Environment/Daemons
URL: http://www.unrealircd.com/
License: GPLv2+

Source0: http://www.unrealircd.com/downloads/Unreal%{version}.tar.gz
Source1: unrealircd.init
BuildRoot: %{_tmppath}/unrealircd-%{version}-%{release}-root
BuildRequires: zlib-devel openssl-devel

%description
Advanced IRC server that provides features for just about everything

%prep
%setup -q -n Unreal3.2.10.1

%build
%configure --enable-nospoof \
	--enable-prefixaq \
	--enable-hub \
	--enable-ziplinks=%{_prefix} \
	--enable-inet6 \
	--with-listen=32 \
	--with-nick-history=1000 \
	--with-sendq=3000000 \
	--with-bufferpool=16 \
	--with-hostname=localhost \
	--with-permissions=0600 \
	--with-dpath=%{_sysconfdir}/unrealircd \
	--with-fd-setsize=1024 \
	--with-spath=%{_sbindir}/unrealircd \
	--enable-dynamic-linking \
	--enable-ssl=%{_prefix}
%{__make}

%install
%{__rm} -fr %{buildroot}
# Buggy make install. Do it here instead.
# Create directories.
%{__install} -m 0750 -d %{buildroot}%{_sysconfdir}/unrealircd
%{__install} -m 0750 -d %{buildroot}%{_sysconfdir}/unrealircd/{networks,aliases}
%{__install} -d %{buildroot}%{_sbindir}
%{__install} -d %{buildroot}%{_libdir}/unrealircd
%{__install} -d %{buildroot}%{_initrddir}

# Install the ircd.
%{__install} -m 0710 src/ircd %{buildroot}%{_sbindir}/unrealircd
# Install the modules.
%{__ln_s} %{_libdir}/unrealircd %{buildroot}%{_sysconfdir}/unrealircd/modules
%{__install} -m 0750 src/modules/*.so %{buildroot}%{_libdir}/unrealircd

# Install configuration files.
%{__install} -m 0640 doc/example.conf %{buildroot}/%{_sysconfdir}/unrealircd/unrealircd.conf
# Template network file.
#%{__install} -m 0640 networks/template.network %{buildroot}%{_sysconfdir}/unrealircd/networks
# Network generator.
#%{__install} -m 0710 networks/makenet %{buildroot}%{_sysconfdir}/unrealircd/networks
# Aliases configuration.
%{__install} -m 0640 aliases/*.conf %{buildroot}%{_sysconfdir}/unrealircd/aliases
# Bad word filtering.
%{__install} -m 0640 badwords.*.conf %{buildroot}%{_sysconfdir}/unrealircd
# Help stuff.
%{__install} -m 0640 help.conf %{buildroot}%{_sysconfdir}/unrealircd

# Install init.d script
%{__install} -m 0755 %{SOURCE1} %{buildroot}%{_initrddir}/unrealircd

# Make pid file a symlink into %{_localstatedir}/run/unrealircd.pid
%{__ln_s} %{_localstatedir}/run/unrealircd.pid %{buildroot}%{_sysconfdir}/unrealircd/unrealircd.pid

%clean
rm -rf %{buildroot}

%pre
# Quite random uid and gid, seems to be free on at least FC1.
%{_sbindir}/groupadd -g 66 irc 2>/dev/null || :
%{_sbindir}/useradd -u 66 -g 66 -d %{_sysconfdir}/unrealircd -n -c 'IRC server' irc 2>/dev/null || :

%post
# Install init.d script
/sbin/chkconfig --add unrealircd

%preun
/sbin/service unrealircd stop >/dev/null 2>&1 || true
/sbin/chkconfig --del unrealircd >/dev/null 2>&1 || true

%files
%defattr(-,root,irc)
# Documentation.
%doc doc/* Donation LICENSE README spamfilter.conf dccallow.conf .RELEASE.NOTES

%{_sbindir}/unrealircd

%dir %{_libdir}/unrealircd
%{_libdir}/unrealircd/*.so

%dir %{_sysconfdir}/unrealircd
%config(noreplace) %{_sysconfdir}/unrealircd/*

%{_initrddir}/unrealircd

%changelog
* Fri Jul 12 2013 Manuel "lonely wolf" Wolfshant <wolfy@fedoraproject.org> 3.2.10.1-1
 Initial version for CentOS 6
